### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# XIntc Struct Reference

## Detailed Description

The XIntc driver instance data. The user is required to allocate a variable of this type for every intc device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Data Fields

u32 | BaseAddress
u32 | IsReady
u32 | IsStarted
u32 | UnhandledInterrupts
XIntc_Config * | CfgPtr

## Field Documentation

u32 XIntc::BaseAddress

| Base address of registers

XIntc_Config* XIntc::CfgPtr

| Pointer to instance config entry

u32 XIntc::IsReady

| Device is initialized and ready

u32 XIntc::IsStarted

| Device has been started

u32 XIntc::UnhandledInterrupts

| Intc Statistics

The documentation for this struct was generated from the following file:

- xintc.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.